.modal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    overflow: hidden;
    background-color: rgba(0, 0, 0, 0.7);
    display: none;
    justify-content: center;
    align-items: center;
}

.modal-content {
    position: relative;
    background-color: white;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    border-radius: 3px;
    padding: 20px;
    box-sizing: border-box;
    overflow-y: auto;
}

.modal-input-row {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    margin-top: 10px;
}

.modal-control-row {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 10px;
    position: absolute;
    bottom: 20px;
    width: calc(100% - 40px);
}